Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.expr
Class JIParserMethodNode

`java.lang.Object
oracle.jbo.expr.JIParserNode
oracle.jbo.expr.JIParserMethodNode`

public class JIParserMethodNode
extends JIParserNode

Field Summary

Fields inherited from class oracle.jbo.expr.JIParserNode
`NODE_TYP_ADD, NODE_TYP_AND, NODE_TYP_ARRAY, NODE_TYP_ASSIGN, NODE_TYP_BOOLEAN, NODE_TYP_CHAR, NODE_TYP_DIVIDE, NODE_TYP_EQ, NODE_TYP_GE, NODE_TYP_GT, NODE_TYP_IDENT, NODE_TYP_INTEGER, NODE_TYP_IS_VALID, NODE_TYP_LE, NODE_TYP_LIMIT_LITERAL_VALUES, NODE_TYP_LITERAL_IDENT, NODE_TYP_LT, NODE_TYP_METHOD_CALL, NODE_TYP_MOD, NODE_TYP_MULTIPLY, NODE_TYP_NE, NODE_TYP_NEGATIVE, NODE_TYP_NEW, NODE_TYP_NONE, NODE_TYP_NOT, NODE_TYP_NULL, NODE_TYP_OR, NODE_TYP_REGEXP, NODE_TYP_STRING, NODE_TYP_SUBTRACT`

Constructor Summary
`JIParserMethodNode(JIExpr expr, java.lang.String s)`

Method Summary
`void` | `addParm(JIParserNode n)`
`void` | `addParmClass(java.lang.String c)`
`java.lang.Object` | `evaluate(JIValueSupplier valueSupplier)`
`com.sun.java.util.collections.ArrayList` | `getParmValVec()`
`void` | `setCons(boolean c)`

Methods inherited from class oracle.jbo.expr.JIParserNode
`cantConvert, convertIntoBoolean, convertIntoInteger, convertIntoLong, convertIntoString, getExpr, getFullIdentName, getLeftChild, getNodeType, getParent, getParentVal, getRightChild, getString, getVal, indent, isRValue, locateNode, locateNodeOfType, setIsRValue, setLeftChild, setNodeType, setParentVal, setRightChild, setString, setVal, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JIParserMethodNode

    public JIParserMethodNode(JIExpr expr,
                              java.lang.String s)

Method Detail

### setCons

    public void setCons(boolean c)

### getParmValVec

    public com.sun.java.util.collections.ArrayList getParmValVec()

### addParmClass

    public void addParmClass(java.lang.String c)

### addParm

    public void addParm(JIParserNode n)

### evaluate

    public java.lang.Object evaluate(JIValueSupplier valueSupplier)

  Overrides:
    `evaluate` in class `JIParserNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.